XMLReader::readOuterXML
XMLReader::setParserProperty
XMLReader
PHP Manual

# XMLReader::readString

(PHP 5 >= 5.2.0)

XMLReader::readString — Reads the contents of the current node as an string

### Description

string XMLReader::readString ( void )

Reads the contents of the current node as an string.

### Parameters

This function has no parameters.

### Return Values

Returns the content of the current node as a string. Empty string on failure.

### Notes

Caution

This function is only available when PHP is compiled against libxml 20620 or later.

### See Also

- XMLReader::readOuterXML() - Retrieve XML from current node, including it self
- XMLReader::readInnerXML() - Retrieve XML from current node
- XMLReader::expand() - Returns a copy of the current node as a DOM object

XMLReader::readOuterXML
XMLReader::setParserProperty
XMLReader
PHP Manual